Page MenuHomePhabricator

[mips] For N32/N64, structs must be passed in the upper bits of a register.
ClosedPublic

Authored by dsanders on Oct 16 2014, 2:08 AM.

Details

Reviewers
vmedic
Summary

Most structs were fixed by r218451 but those of between >32-bits and <64-bits
remained broken since they were not marked with [ASZ]ExtUpper.
This patch fixes the remaining cases using CCPromoteToUpperBitsInType<i64> on
i64's in addition to i32 and smaller.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 14993.Oct 16 2014, 2:08 AM
dsanders retitled this revision from to [mips] For N32/N64, structs must be passed in the upper bits of a register..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added a reviewer: vmedic.
dsanders added subscribers: theraven, Unknown Object (MLST).
vmedic accepted this revision.Nov 20 2014, 4:11 AM
vmedic edited edge metadata.

LGTM

This revision is now accepted and ready to land.Nov 20 2014, 4:11 AM
dsanders closed this revision.Dec 8 2014, 7:13 AM